Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.context
Class PortletContextResourceLoader

    java.lang.Object
      org.springframework.core.io.DefaultResourceLoader
          org.springframework.web.portlet.context.PortletContextResourceLoader

All Implemented Interfaces:
  ResourceLoader

    public class PortletContextResourceLoader

extends DefaultResourceLoader

ResourceLoader implementation that resolves paths as PortletContext resources, for use outside a Portlet ApplicationContext (for example, in a GenericPortletBean subclass).

Within a WebApplicationContext, resource paths are automatically resolved as PortletContext resources by the context implementation.

Since:
  2.0
Author:
  Juergen Hoeller, John A. Lewis
See Also:
  `getResourceByPath(java.lang.String)`, `PortletContextResource`, `GenericPortletBean`

Field Summary

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Constructor Summary
`PortletContextResourceLoader(javax.portlet.PortletContext portletContext)` Create a new PortletContextResourceLoader.

Method Summary
`protected Resource` | `getResourceByPath(String path)` This implementation supports file paths beneath the root of the web application.

Methods inherited from class org.springframework.core.io.DefaultResourceLoader
`getClassLoader, getResource, setClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletContextResourceLoader

    public PortletContextResourceLoader(javax.portlet.PortletContext portletContext)

  Create a new PortletContextResourceLoader.

  Parameters:
    `portletContext` - the PortletContext to load resources with

Method Detail

### getResourceByPath

    protected Resource getResourceByPath(String path)

  This implementation supports file paths beneath the root of the web application.

  Overrides:
    `getResourceByPath` in class `DefaultResourceLoader`
  Parameters:
    `path` - the path to the resource
  Returns:
    the corresponding Resource handle
  See Also:
    `PortletContextResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.